org.eclnt.jsfserver.elements

## Class BaseComponent.DecodePassData

- java.lang.Object
- - org.eclnt.jsfserver.elements.BaseComponent.DecodePassData

- Enclosing class:
    BaseComponent

      public static class BaseComponent.DecodePassData
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodePassData(java.lang.String idSuffix, java.lang.String attribute)`
    `DecodePassData(java.lang.String idSuffix, java.lang.String attribute, boolean flagSetMayFail)`
    `DecodePassData(java.lang.String idSuffix, java.lang.String attribute, java.lang.String attributeSuffix)`
    `DecodePassData(java.lang.String idSuffix, java.lang.String attribute, java.lang.String attributeSuffix, boolean flagSetMayFail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute()` Attribute which holds the binding into which the value is passed.
    `java.lang.String` | `getAttributeExpressionSuffix()` Suffix to the expression that is returned by the attribute.
    `java.lang.String` | `getIdSuffix()` Suffix that is appended to the id of the component in order to read data from the http request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecodePassData

          public DecodePassData(java.lang.String idSuffix,
                                java.lang.String attribute)

    - #### DecodePassData

          public DecodePassData(java.lang.String idSuffix,
                                java.lang.String attribute,
                                java.lang.String attributeSuffix)

    - #### DecodePassData

          public DecodePassData(java.lang.String idSuffix,
                                java.lang.String attribute,
                                boolean flagSetMayFail)

    - #### DecodePassData

          public DecodePassData(java.lang.String idSuffix,
                                java.lang.String attribute,
                                java.lang.String attributeSuffix,
                                boolean flagSetMayFail)

  - ### Method Detail

    - #### getIdSuffix

          public java.lang.String getIdSuffix()

      Suffix that is appended to the id of the component in order to read data from the http request.

    - #### getAttribute

          public java.lang.String getAttribute()

      Attribute which holds the binding into which the value is passed.

    - #### getAttributeExpressionSuffix

          public java.lang.String getAttributeExpressionSuffix()

      Suffix to the expression that is returned by the attribute.

Copyright © CaptainCasa Gmbh. All Rights Reserved.